import 'package:flutter/material.dart';

/// A class that holds base configurations for the shimmer effect.
class BaseShimmerConfig {
  /// The base color of the shimmer effect.
  static const Color baseColor = Color.fromARGB(255, 217, 217, 217);

  /// The highlight color of the shimmer effect.
  static const Color highlightColor = Color.fromARGB(255, 245, 245, 245);

  /// The base color of the background.
  static const Color blackColor = Color.fromARGB(255, 0, 0, 0);

  /// The base color of white.
  static const Color whiteColor = Color.fromARGB(255, 255, 255, 255);
}

/// A class that holds base configurations for components.
class BaseComponentConfig {
  /// The base aspect ratio used for components.
  static const double aspectRatio = (1 / 1);

  /// The base transfer scale used for components.
  static const double transferScale = 0.990;

  /// The base BoxFit used for components.
  static const BoxFit boxFit = BoxFit.cover;
}
